<?php
/*
 * *****************************************************************************
 * Config DB and HTML Frame
 * *****************************************************************************
 * @author tobias.zeumer@tuhh.de
 *
 * Just fill the 6 variables and you should be good to go...
 *
 * @todo: Move $iln here from the individual scripts
 */
$lbsserver  = "xxx";
$lbsuser    = "xxx";
$lbspw      = "xxx";
$lbsdb      = "lbsdb";
$charset    = "ISO_1";
$iln        = 23;

$base_url   = '../../';  // You might use a an url

$conn = @sybase_connect($lbsserver, $lbsuser, $lbspw, $charset) or die("Could not connect !");

/*
 * Format number as currency
 * 
 * @note: With correct locales: money_format()
 */
function money($decimal) {
  // explicit cast to prevent php notice
  // some Stored Procedures return rubbish (int); e.g. http://intranet.b.tu-harburg.de/lbs/tub/acq-limited/acq_umsatz_stamm.php
  $decimal = (float)$decimal;
  return number_format ($decimal, 2, ",", ".").' EUR';
}


/*
 * Default header
 */
function html_header($title = 'LBS: Datenbankabfrage', $jquery = false) {
  global $base_url;

  $head = '<html>
            <head>
              <title>'.$title.'</title>
              <link rel="stylesheet" type="text/css" href="'.$base_url.'css/style.css" />
              <link rel="stylesheet" type="text/css" href="'.$base_url.'css/foundation-icons/foundation-icons.css" />';

  if ($jquery) {
  $head .=   '<!-- jquery -->
              <script type="text/javascript" src="'.$base_url.'js/jquery-latest.js"></script>

              <!-- jquery plugin: tablesorter (test) ->
              script type="text/javascript" src="'.$base_url.'js/jquery.tablesorter/jquery.tablesorter.min.js"></script>
              -->
              <link rel="stylesheet" href="'.$base_url.'js/jquery.tablesorter/themes/blue/style.css" type="text/css" />

              <!-- jquery plugin: DataTables (test2) -->
              <link rel="stylesheet" type="text/css" href="'.$base_url.'js/jquery.DataTables/media/css/jquery.dataTables.css">
              <script type="text/javascript" charset="utf8" src="'.$base_url.'js/jquery.DataTables/media/js/jquery.dataTables.js"></script>

              <!-- jquery plugin DataTables: Extensions -->
              <script type="text/javascript" charset="utf8" src="'.$base_url.'js/jquery.DataTables/extensions/FixedHeader/js/dataTables.fixedHeader.min.js"></script>
              <script type="text/javascript" charset="utf8" src="'.$base_url.'js/jquery.DataTables/extensions/ColVis/js/dataTables.colVis.min.js"></script>
              <link rel="stylesheet" type="text/css" href="'.$base_url.'js/jquery.DataTables/extensions/ColVis/css/dataTables.colVis.css">
              <!--
              script type="text/javascript" charset="utf8" src="'.$base_url.'js/jquery.DataTables/extensions/TableTools/js/dataTables.tableTools.min.js"></script
              link rel="stylesheet" type="text/css" href="'.$base_url.'js/jquery.DataTables/extensions/TableTools/css/dataTables.tableTools.min.css"
              -->

              <!-- Add fancyBox -->
              <link rel="stylesheet" href="'.$base_url.'js/jquery.fancybox/source/jquery.fancybox.css?v=2.1.5" type="text/css" media="screen" />
              <script type="text/javascript" src="'.$base_url.'js/jquery.fancybox/source/jquery.fancybox.pack.js?v=2.1.5"></script>';
  }

  $head .= '</head>
          <body>';

  return $head;
}


/*
 * Default footer
 */
function html_footer($db_close = true) {
  global $conn;

  $footer = "</body></html>";

  if ($db_close) sybase_close($conn);

  return $footer;
}



// ab hier endgültig dann in die einzelnen Dateien packen
//echo html_header();

?>
